Bug 100722 - RFE: disable exec-shield in rescue mode
RFE: disable exec-shield in rescue mode
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: rescue-disk (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 12:20 EDT by Chris Ricker
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 19:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-07-24 12:20:39 EDT
There's not much reason to have it enabled there (not much chance of stack
smashing ;-), so please disable exec shield when starting rescue mode.

That way, grub and such will work without people having to remember /proc
incantations
Comment 1 Jeremy Katz 2003-07-24 12:50:26 EDT
I'd rather have the kernel bits fixed to follow the setting on the binary :)
Comment 2 Jeremy Katz 2003-09-24 19:53:36 EDT
Kernel bits fixed, not disabling

Note You need to log in before you can comment on or make changes to this bug.